package com.zt.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName zk_order
 */
@TableName(value ="zk_order")
@Data
public class ZkOrder implements Serializable {
    /**
     * 雪花id
     */
    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 总价
     */
    private BigDecimal totalPrice;

    /**
     * 实付金额
     */
    private BigDecimal realPrice;

    /**
     * 优惠金额
     */
    private BigDecimal preferentialPrice;

    /**
     * 订单状态0带发货1未支付1待发货2待收货3完成订单
     */
    private Integer orderState;

    /**
     * 支付标识0未支付1已支付2退款
     */
    private Integer paymentState;

    /**
     * 订单时间
     */
    private Date orderTime;

    /**
     * 支付时间
     */
    private Date paymentTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}