package com.zt.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zt.enums.CodeEnums;
import com.zt.pojo.ZkUser;
import com.zt.service.ZkUserService;
import com.zt.mapper.ZkUserMapper;
import com.zt.utils.AppJwtUtil;
import com.zt.vo.Result;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
* @author H
* @description 针对表【zk_user】的数据库操作Service实现
* @createDate 2025-05-09 16:28:09
*/
@Service
public class ZkUserServiceImpl extends ServiceImpl<ZkUserMapper, ZkUser>
    implements ZkUserService{

    @Override
    public Result login(ZkUser user) {
        QueryWrapper<ZkUser> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(ZkUser::getUsername,user.getUsername());
        ZkUser one = this.getOne(queryWrapper);
        if (one==null || !one.getPassword().equals(user.getPassword())){
            return Result.error(CodeEnums.ACCOUNT_PASSWORD_NOT_EXIST);
        }
        String token = AppJwtUtil.getToken(one.getId());
        Map<String,Object> map=new HashMap<>();
        map.put("token",token);
        return Result.ok(CodeEnums.SUCCESS,map);
    }
}




